<template>
  <div>
    <h5 class="font-weight-bold my-3">
      Favorite
    </h5>
    <div class="mb-4">
      <b-img src="images/icons/ic-play-all.png" width="40" />
      <span class="ml-2">Play All</span>
    </div>
    <b-table
      :items="items"
      :fields="fields"
    >
      <template #cell(sura_name)="row">
        <div class="d-flex align-items-center">
          <b-img src="images/icons/ic-play.png" width="18" class="mr-3 text-success" />
          <span>
            {{ row.item.sura_name.first }}
          </span>&nbsp;
          <span class="small text-secondary">
            ({{ row.item.sura_name.last }})
          </span>
        </div>
      </template>
      <template #cell(qori_murottal)="row">
        <span class="small">
          {{ row.item.qori_murottal }}
        </span>
      </template>
      <template #cell(riwayat)="row">
        <span class="small">
          {{ row.item.qori_murottal }}
        </span>
      </template>
      <template #cell(duration)="row">
        <div class="d-flex justify-content-between align-items-center">
          <span class="small">
            {{ row.item.duration }}
          </span>
          <b-icon-trash-fill />
          <b-icon-three-dots :id="`popover-${row.item.id}`" />
          <b-popover
            :target="`popover-${row.item.id}`"
            triggers="hover"
          >
            <div
              v-for="item in shareTo"
              id="`popover-target-3`"
              :key="item"
              class="m-0 p-0 py-1"
            >
              <span class="mx-2">
                <b-img
                  :src="`images/icons/sosmed/${item.images}`"
                  width="20"
                  class="mr-2"
                />
                {{ item.title }}
              </span><br>
              <hr v-if="item.hr" class="m-0 mt-2 mb-1">
            </div>
          </b-popover>
        </div>
      </template>
    </b-table>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters(['shareTo', 'items', 'fields'])
  }
}
</script>
